package alexsa.data.graphs;

import java.util.Vector;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.PipedReader;
import java.io.PipedWriter;

import java_cup.runtime.*;
import java.io.BufferedReader;
import java.io.FileReader;

import alexsa.data.FileFormatException;
import alexsa.data.Tools;

public class GraphLoader {
    
	public Vector
		graphs = null;

	public GraphLoader(File f)
		throws IOException, FileFormatException
	{
		if (f == null)
			return;

		BufferedReader stream = new BufferedReader(new FileReader(f.getPath()));
//		CPreProcessorStream stream = new CPreProcessorStream(F.getPath());
		
		GraphParser parser = new GraphParser(new GraphScanner(stream));

		try {
			Symbol T = parser.parse();
			graphs = (Vector)T.value;
		} catch (Exception e) {
			System.out.println(e);
			e.printStackTrace();
		}
	}
}
