package alexsa.gui.menus;

import javax.swing.JMenu;
import javax.swing.KeyStroke;
import java.awt.event.ActionListener;

public class FMenu extends JMenu
{
	private ActionListener listener;
	private int command;

	public FMenu(String name, int cmdNum, ActionListener l) {
		super(name);
		command = cmdNum;
		listener = l;
	}

	public int getCommandNumber() {
		return command;
	}


	public void addItem(String cmdName, int cmdNum) {
		addItem(cmdName, -1, cmdNum);
	}

	public void addItem(String cmdName, int cmdKey, int cmdNum) {
		add(new FMenuItem(cmdName, cmdNum, cmdKey, listener));
	}

	public void addItem(String cmdName, KeyStroke cmdKey, int cmdNum) {
		add(new FMenuItem(cmdName, cmdNum, cmdKey, listener));
	}
}
