package alexsa.gui.menus;

import java.awt.event.*;
import javax.swing.KeyStroke;


public class InvisibleMenuBar extends FMenuBar implements Commands {

	private class ShortcutMenu extends FMenu {
		public ShortcutMenu(ActionListener l) {
			super("", 0, l);

			addItem("Next Graph", KeyStroke.getKeyStroke(KeyEvent.VK_RIGHT, 0), cmd_forward);
			addItem("Previous Graph", KeyStroke.getKeyStroke(KeyEvent.VK_LEFT, 0), cmd_backward);

			addItem("Next Node", KeyStroke.getKeyStroke(KeyEvent.VK_DOWN, 0), cmd_down);
			addItem("Previous Node", KeyStroke.getKeyStroke(KeyEvent.VK_UP, 0), cmd_up);
		}
	
	}

	public InvisibleMenuBar(MenuCommander c) {
		super(c);
		add(new ShortcutMenu(this));
		setBorderPainted(false);
	}
}