package alexsa;

import java.io.File;
import javax.swing.filechooser.FileFilter;

public class TvpTraceGraphFileFilter extends FileFilter {
	String lastDir = null;

	public TvpTraceGraphFileFilter() {
	}
	
	public boolean accept(File f) {
		if (f.isDirectory())
			return true;
		String
			path = f.getParent(),
			file = f.getName();
		if (!file.endsWith(".tvp"))
			return false;

		String prefix = path + File.separatorChar + file.substring(0, file.lastIndexOf('.'));
		File
			trace_file = new File(prefix + ".trace"),
			graph_file = new File(prefix + ".graph");

		return trace_file.exists() && graph_file.exists();
	}
	
	public String getDescription() {
		return "Alexsa input files (*.tvp, *.trace, *.graph)";
	}
}
