package alexsa;

import java.io.File;
import javax.swing.filechooser.FileFilter;

public class TvsFileFilter extends FileFilter {
	String lastDir = null;

	public TvsFileFilter() {
	}
	
	public boolean accept(File f) {
		if (f.isDirectory())
			return true;
		return f.getPath().endsWith(".tvs");
	}
	
	public String getDescription() {
		return "TVLA input structures (*.tvs)";
	}
}
