package alexsa.data.graphs;

import java.awt.Point;

public class EdgeLabel implements Cloneable {
	public String
		label = null;
	public Point
		location = null;
	
	public EdgeLabel(String s, Point p) {
		label = s;
		location = p;
	}
	
	public EdgeLabel(String s, int x, int y) {
		this(s, new Point(x, y));
	}

	public EdgeLabel(String s) {
		label = s;
	}
	
	public Object clone() {
		EdgeLabel el = new EdgeLabel(label);
		if (location != null)
			el.location = (Point)location.clone();
		return el;
	}
	
	public String toString() {
		return label;
	}
}
