package alexsa.data.tvp;

public class Kleene {
	public final static int
		TRUE = 2,
		FALSE = 0,
		MAYBE = 1;

	public final static Kleene
		KLEENE_TRUE = new Kleene(TRUE),
		KLEENE_FALSE = new Kleene(FALSE),
		KLEENE_MAYBE = new Kleene(MAYBE);

	public int
		value = FALSE;

	public Kleene(int k) {
		value = k;
	}

	public Kleene(Kleene k) {
		value = k.value;
	}

	public String toString() {
		if (value == TRUE)
			return "1";
		else if (value == FALSE)
			return "0";
		else
			return "1/2";
	}
	
	public boolean equals(Kleene k) {
		return value == k.value;
	}
}
