package alexsa.data.tvp;

import java.util.Vector;

public class Message extends FileElement {
	public Message
		head = null;
	public String
		message = null;
	public Predicate
		predicate = null;

	public Message(String s) {
		message = s;
	}

	public Message(Predicate p) {
		predicate = p;
	}

	public Message(Message m, String s) {
		this(s);
		head = m;
	}

	public Message(Message m, Predicate p) {
		this(p);
		head = m;
	}

	public String toString() {
		if (head == null) {
			if (message != null)
				return message;
			else
				return predicate.eval();
		} else {
			if (message != null)
				return head + message;
			else
				return head + predicate.eval();
		}
	}
	
}
