package alexsa.data.tvp;

public class ReportMessage extends FileElement {

    public Formula
	formula = null;
    public Message
	message = null;

    public ReportMessage(Formula f, Message m) {
	if (f == null)
	    nullParameter("Report message", "a formula");
	if (m == null)
	    nullParameter("Report message", "a message");
	formula = f;
	message = m;
    }

    public String toString() {
	return "%message " + formula + " -> " + message;
    }
}
