package alexsa.data.tvs;

import java.util.Vector;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.PipedReader;
import java.io.PipedWriter;

import java_cup.runtime.*;

import alexsa.data.FileFormatException;
import alexsa.data.Tools;

public class TvsLoader {
    
	public Vector
		tvs = null;

	public TvsLoader(File f)
		throws IOException, FileFormatException
	{
		if (f == null)
			return;

		TvsParser parser = new TvsParser(new TvsScanner(new FileInputStream(f.getPath())));

		try {
			Symbol T = parser.parse();
			tvs = (Vector)T.value;
		} catch (Exception e) {
			System.out.println(e);
			e.printStackTrace();
			System.exit(0);
		}
	}
}
