package alexsa.event;

import alexsa.gui.codeview.CodeView;

public class GraphEvent {
	public final static int
		SELECTED	= 1,
		DESELECTED	= 2;

	public CodeView
		source		= null;
	public Object
		object		= null;

	public int
		action		= 0,
		modifiers	= 0;
	
	public GraphEvent(CodeView s, Object o) {
		this(s, o, SELECTED, 0);
	}

	public GraphEvent(CodeView s, Object o, int a, int m) {
		source = s;
		object = o;
		action = a;
		modifiers = m;
	}
}
